// Copyright Earl Warren <contact@earl-warren.org>
// Copyright Loïc Dachary <loic@dachary.org>
// SPDX-License-Identifier: MIT

package tests

import (
	forgejo_options "code.forgejo.org/f3/gof3/v3/forges/forgejo/options"
	tests_forge "code.forgejo.org/f3/gof3/v3/tree/tests/f3/forge"
)

func init() {
	tests_forge.RegisterFactory(forgejo_options.Name, func() tests_forge.Interface {
		return newForgeTest(forgejo_options.Name)
	})
	tests_forge.RegisterFactory(forgejo_options.NameAliasGitea, func() tests_forge.Interface {
		return newForgeTest(forgejo_options.NameAliasGitea)
	})
}
